glab(1)

NAME

glab-ci-list - Get the list of CI/CD pipelines

SYNOPSIS

glab ci list [flags]

DESCRIPTION

Get the list of CI/CD pipelines

OPTIONS

-o, --orderBy="id"
    Order pipeline by {id|status|ref|updated_at|user_id}

-F, --output="text"
    Format output as: text, json

-p, --page=1
    Page number

-P, --per-page=30
    Number of items to list per page

--sort="desc"
    Sort pipeline by {asc|desc}

-s, --status=""
    Get pipeline with status: {running|pending|success|failed|canceled|skipped|created|manual|waiting_for_resource|preparing|scheduled}

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab ci list
    glab ci list --status=failed

SEE ALSO

glab-ci(1)